.deck
  font-family $family-sans-serif
  font-size 3rem
  color $text

h1, h2, h3, h4, h5, h6
  line-height 1
  margin 0

p, ul
  margin 1em 0 0 0

ul
  padding 0
  list-style none

pre, code, samp
  font-family $family-monospace

.line
  display block
  width: fit-content;
  white-space: nowrap;

.underline
  background linear-gradient(to bottom, currentColor 0%, currentColor 100%) repeat-x left 1.15em / 100% .0625em

.insert
  .bespoke-bullet-inactive
    position absolute !important
    .bespoke-overview &
      position static !important

.reveal
  .bespoke-bullet-inactive
    position absolute !important
    opacity 0
    .bespoke-overview &
      position static !important
      opacity 1
  .bespoke-bullet-active:not(:first-child)
    transition opacity 1.5s ease-in-out 0.5s

.bespoke-overview .bespoke-active
  outline 10px solid #fdd835
  outline-offset 0
